import React from "react";
import PropTypes from "prop-types";
declare enum colors {
    primary = "primary",
    secondary = "secondary",
    success = "success",
    danger = "danger",
    warning = "warning",
    info = "info",
    dark = "dark",
    light = "light"
}
interface Props {
    className?: string;
    color?: colors;
    onClose?: Function;
    onClosed?: Function;
    tag?: string;
    children?: React.ReactNode;
    dismiss?: Function;
}
declare const Alert: {
    (props: Props): JSX.Element;
    defaultProps: {
        color: string;
        tag: string;
    };
    propTypes: {
        className: PropTypes.Requireable<string>;
        color: PropTypes.Requireable<string>;
        onClose: PropTypes.Requireable<(...args: any[]) => any>;
        onClosed: PropTypes.Requireable<(...args: any[]) => any>;
        tag: PropTypes.Requireable<string>;
    };
};
export default Alert;
export { Alert as CDBAlert };
