import React from "react";
import PropTypes from "prop-types";
interface Props {
    autoWidth: boolean;
    bordered: boolean;
    borderless: boolean;
    btn: boolean;
    dark: boolean;
    fixed: boolean;
    handleSort: Function;
    hover: boolean;
    noRecordsFoundLabel: string;
    responsive: boolean;
    responsiveLg: boolean;
    responsiveMd: boolean;
    responsiveSm: boolean;
    responsiveXl: boolean;
    small: boolean;
    sortable: boolean;
    sorted: boolean;
    striped: boolean;
    tbodyColor: string;
    tbodyTextWhite: boolean;
    theadColor: string;
    theadTextWhite: boolean;
    children?: React.ReactNode;
    columns?: any[];
    noBottomColumns?: boolean;
    rows?: any[];
}
declare const DataTableTable: {
    (props: Props): JSX.Element;
    propTypes: {
        autoWidth: PropTypes.Validator<boolean>;
        bordered: PropTypes.Validator<boolean>;
        borderless: PropTypes.Validator<boolean>;
        btn: PropTypes.Validator<boolean>;
        dark: PropTypes.Validator<boolean>;
        fixed: PropTypes.Validator<boolean>;
        handleSort: PropTypes.Validator<(...args: any[]) => any>;
        hover: PropTypes.Validator<boolean>;
        responsive: PropTypes.Validator<boolean>;
        responsiveLg: PropTypes.Validator<boolean>;
        responsiveMd: PropTypes.Validator<boolean>;
        responsiveSm: PropTypes.Validator<boolean>;
        responsiveXl: PropTypes.Validator<boolean>;
        small: PropTypes.Validator<boolean>;
        sortable: PropTypes.Validator<boolean>;
        sorted: PropTypes.Validator<boolean>;
        striped: PropTypes.Validator<boolean>;
        tbodyColor: PropTypes.Validator<string>;
        tbodyTextWhite: PropTypes.Validator<boolean>;
        theadColor: PropTypes.Validator<string>;
        theadTextWhite: PropTypes.Validator<boolean>;
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        columns: PropTypes.Requireable<object[]>;
        noBottomColumns: PropTypes.Requireable<boolean>;
        rows: PropTypes.Requireable<object[]>;
    };
    defaultProps: {
        children: string;
    };
};
export default DataTableTable;
export { DataTableTable as MDBDataTableTable };
